﻿Public Class Form1
    ' プレビューボタンの押下処理
    Private Sub Button1_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button1.Click
        PrintPreviewControl1.Document = PrintDocument1
        PrintPreviewControl1.UseAntiAlias = True
        PrintPreviewControl1.InvalidatePreview()
    End Sub

    ' 前ページボタンの押下処理
    Private Sub Button2_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button2.Click
        If PrintPreviewControl1.StartPage > 0 Then
            PrintPreviewControl1.StartPage -= 1
        End If
    End Sub

    ' 次ページボタンの押下処理
    Private Sub Button3_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button3.Click
        PrintPreviewControl1.StartPage += 1
    End Sub

    ' 印刷ボタンの押下処理
    Private Sub Button4_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button4.Click
        PrintDocument1.Print()
    End Sub

    ' 印刷処理
    Private Sub PrintDocument1_PrintPage(ByVal sender As System.Object, _
                        ByVal e As System.Drawing.Printing.PrintPageEventArgs) _
                    Handles PrintDocument1.PrintPage
        Static pageCount As Integer = 0
        pageCount += 1
        e.Graphics.DrawString(pageCount.ToString() & "ページ", _
                              New Font("ＭＳ ゴシック", 100), _
                              Brushes.Blue, _
                              e.MarginBounds.Left, e.MarginBounds.Top)
        If pageCount < 6 Then
            e.HasMorePages = True
        Else
            e.HasMorePages = False
            pageCount = 0
        End If
    End Sub
End Class
